<nav>
  <div class="nav-wrapper blue-grey darken-2">
    <a href="#" class="brand-logo">Alcohol Chain</a>
    <ul id="nav-mobile" class="right hide-on-med-and-down">
      <li>{{name}}</li>
      <li><a routerLink='/login' href="#">Logout</a></li>
    </ul>
  </div>
</nav>
<div class="row">
  <div class="col s6 offset-s3">
    <ul class="tabs">
      <li class="tab col s4"><a href="#request">Request Shipment</a></li>
      <li class="tab col s4"><a class="active" href="#send">Send Shipment</a></li>
      <li class="tab col s4"><a href="#reports">View Reports</a></li>
    </ul>
  </div>
  <div id="request" class="col s12">
    <form>
    <div class="row">
      <div class="col s12 m10 offset-m1">
        <div class="card blue-grey darken-1">
          <div class="card-content white-text">
            <div class="row">
              <div class="col s12">
                <div class="row">
                  <div class="input-field col s4">
                    <input #prod id="product" type="text" class="validate">
                    <label for="product">Raw Material Name</label>
                  </div>
                  <div class="input-field col s4">
                    <input #order id="order_no" type="text" class="validate">
                    <label for="order_no">Order No.</label>
                  </div>
                  <div class="input-field col s4">
                    <input #ddate id="delivery_date" type="date" class="validate">
                    <!-- <label for="delivery_date">Delivery Date</label> -->
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col s12 m10 offset-m1">
        <div class="card blue-grey darken-1">
          <div class="card-content white-text">
            <div class="row">
              <div class="col s12">
                <div class="row">
                  <div class="input-field col s6">
                    <input #cost id="price" type="text" class="validate">
                    <label for="price">Price</label>
                  </div>
                  <div class="input-field col s6">
                    <input #quant id="quantity" type="text" class="validate">
                    <label for="quantity">Quantity</label>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col s3 offset-s5">
                <button class="btn waves-effect waves-light" type="button" (click)='onSubmit($event)' name="action">Submit
                      <i class="material-icons right">send</i>
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </form>
  </div>
  <div id="send" class="col s12">
    <form>
    <div class="row">
      <div class="col s12 m10 offset-m1">
        <div class="card blue-grey darken-1">
          <div class="card-content white-text">
            <div class="row">
              <div class="col s12">
                <div class="row">
                  <div class="input-field col s6">
                    <input disabled #product id="name" type="text" class="validate">
                    <label for="name">Product Name</label>
                  </div>
                  <div class="file-field input-field col s6">
                    <div class="btn">
                      <span>Report</span>
                      <input type="file" (change)='fileChange($event)'>
                    </div>
                    <div class="file-path-wrapper">
                      <input #report class="file-path validate" type="text">
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col s12 m10 offset-m1">
        <div class="card blue-grey darken-1">
          <div class="card-content white-text">
            <div class="row">
                <div class="input-field col s6">
                  <input disabled #orderNo id="order_no" type="text" class="validate">
                  <label for="order_no">Order No.</label>
                </div>
                <div class="input-field col s6">
                  <input disabled #deliveryDate id="delivery_date" type="date" class="validate">
                  <!-- <label for="delivery_date">Delivery Date</label> -->
                </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col s12 m10 offset-m1">
        <div class="card blue-grey darken-1">
          <div class="card-content white-text">
            <div class="row">
              <div class="col s12">
                <div class="row">
                  <div class="input-field col s4">
                    <input disabled #temp id="temp" type="text" class="validate">
                    <label for="temp">Temperature</label>
                  </div>
                  <div class="input-field col s4">
                    <input disabled #price id="price" type="text" class="validate">
                    <label for="price">Price</label>
                  </div>
                  <div class="input-field col s4">
                    <input disabled #quantity id="quantity" type="text" class="validate">
                    <label for="quantity">Quantity</label>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col s3 offset-s5">
                <button class="btn waves-effect waves-light" type="button" (click)='onSubmitReport($event)' name="action">Submit
                      <i class="material-icons right">send</i>
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </form>
  </div>
  <div id="reports" class="col s12">
    <div class="row">
      <div class="col s12 m10 offset-m1">
        <div class="card blue-grey darken-1">
          <div class="card-content white-text">
            <div class="row">
              <div class="col s12">
                  <table>
                    <thead>
                      <tr>
                          <th>Order Number</th>
                          <th>Download Report</th>
                      </tr>
                    </thead>

                    <tbody>
                      <tr *ngFor="let data of dataValue">
                        <td>{{data.orderno}}</td>
                        <td><a [attr.href]="data.fileInfo" target="_blank"><i class="material-icons">cloud_download</i></a></td>
                      </tr>

                    </tbody>
                  </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
